# Add or Update Custom Data source: https://developer.mastercard.com/mastercard-processing-core/documentation/sandbox-testing/data-management/add-update-custom-data/index.md ## Test case -- Success -- Add Custom Data for a Client {#test-case--success--add-custom-data-for-a-client} This test case describes adding custom data for a specified client in the CMS. **Sample request** `POST /clients/40000/custom-data` ```JSON [ { "tagContainer": "ADD_INFO_01", "tagName": "TAG_01", "tagValue": "TAG_01_VALUE", } ] ``` **Sample response** `200` ## Test case -- Success -- Remove Custom Data for a Client {#test-case--success--remove-custom-data-for-a-client} This test case describes adding custom data for a specified client in the CMS. For this test case, use the following information in the request: | Field | Available value | |-------------|-----------------| | `removeTag` | true | **Sample request** `POST /clients/40000/custom-data` ```JSON [ { "removeTag": true, "tagContainer": "ADD_INFO_01", "tagName": "TAG_01" } ] ``` **Sample response** `200` ## Test case -- Success -- Add Custom Data for a Contract {#test-case--success--add-custom-data-for-a-contract} This test case describes adding custom data for a specified contract (account contract or card contract) in the CMS. **Sample request** `POST /contracts/70001/custom-data` ```JSON [ { "tagContainer": "ADD_INFO_01", "tagName": "TAG_01", "tagValue": "TAG_01_VALUE", } ] ``` **Sample response** `200` ## Test case -- Success -- Remove Custom Data for a Contract {#test-case--success--remove-custom-data-for-a-contract} This test case describes adding custom data for a specified contract (account contract or card contract) in the CMS. For this test case, use the following information in the request: | Field | Available value | |-------------|-----------------| | `removeTag` | true | **Sample request** `POST /contracts/70001/custom-data` ```JSON [ { "removeTag": true, "tagContainer": "ADD_INFO_01", "tagName": "TAG_01" } ] ``` **Sample response** `200`